const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Bangkalan',
    'Kabupaten Banyuwangi',
    'Kabupaten Blitar',
    'Kabupaten Bojonegoro',
    'Kabupaten Bondowoso',
    'Kabupaten Gresik',
    'Kabupaten Jember',
    'Kabupaten Jombang',
    'Kabupaten Kediri',
    'Kabupaten Lamongan',
    'Kabupaten Lumajang',
    'Kabupaten Madiun',
    'Kabupaten Magetan',
    'Kabupaten Malang',
    'Kabupaten Mojokerto',
    'Kabupaten Nganjuk',
    'Kabupaten Ngawi',
    'Kabupaten Pacitan',
    'Kabupaten Pamekasan',
    'Kabupaten Pasuruan',
    'Kabupaten Ponorogo',
    'Kabupaten Probolinggo',
    'Kabupaten Sampang',
    'Kabupaten Sidoarjo',
    'Kabupaten Situbondo',
    'Kabupaten Sumenep',
    'Kabupaten Trenggalek',
    'Kabupaten Tuban',
    'Kabupaten Tulungagung',
    'Kota Batu',
    'Kota Blitar',
    'Kota Kediri',
    'Kota Madiun',
    'Kota Malang',
    'Kota Mojokerto',
    'Kota Pasuruan',
    'Kota Probolinggo',
    'Kota Surabaya'

    // 38
];

exports.seedJawaTimurCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Jawa Timur' },
    });

    if (!province) {
        console.error('❌ Province Jawa Timur not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: {
                updatedAt: timeLocal.now().toDate()
            },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ Jawa Timur City seeded!.');
};